Skip to main content
GET
Fetch all default question library items

Description

Get all library default items. If the query param questionPackages is sent it will include all the questions using that question package in the result.

Params

  • questionPackages: List of default question packages to include in the list. If not present, the result will ignore all question that have a question package set.

Response

200 OK

List of default question items
where:
  • name: Item name that appears in the library.
  • item: See below for more information.
  • questionPackage: Question package.
  • locale: If present, the question will only be available to add if the project uses the same locale.
  • companyId: Company the item is gonna belong to. If not present it will be created as a default item (usable by every user).
  • isDefaultItem: Item is a default one or not.
  • isShared: Item is shared for that company.

Item

The item is the question that would be added to the project:
  • type: The type of the item. Required. Possible values are:
    • multiple: Multiple choice question.
    • input: Numeric question.
  • subtype: The subtype of the item. Required:
    • text: Only valid when type is multiple.
    • number: Only valid when type is input.
  • config: Object containing item configurations.
    • isRequired: Whether the item is required or not.
    • allowNA: Whether the item accepts N/A as an answer or not.
    • minValue: Minimum value allowed for the answer of the question.
    • maxValue: Maximum value allowed for the answer of the question.
    • allowMultipleSelection: Whether or not the question allows to select multiple options.
    • minResponses: Minimum amount of options that can be selected. If allowMultipleSelection is false this value should always be 1.
    • maxResponses: Maximum amount of options that can be selected. If allowMultipleSelection is false this value should always be 1.
  • position: The position of the item. Not in use.
  • title: The title of the question.
  • netquestId: Netquest identifier.
  • netquestName: Netquest url variable name.

Options

Options is an array of objects containing the options for the multiple choice question.
  • label: The label of the option.
  • position: The position of the option relative to the item.
  • netquestOptionValue: The value used to map to the question option when the answer for the question is passed as an url variable.

401 Unauthorized

The user is not authorized

403 Forbidden

The user doesn’t have enough privileges to use this endpoint
The company is not enabled to perform this action

500 Internal Server Error

Error occurred while processing the request.
Query Parameters

Authorizations

Authorization
string
header
required

Access token obtained from the m2m-token endpoint.

Headers

Authorization
string
required

Authorization token

Query Parameters

questionPackages
string

Response

Fetch library items

The response is of type object.